Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.adapter
Class QtlPartitionAdapter

    java.lang.Object
      org.metaqtl.adapter.QtlPartitionAdapter

    public class QtlPartitionAdapter

extends java.lang.Object

This class defines some methods to adapt complient objects into a `QtlPartition` object.

Constructor Summary
`QtlPartitionAdapter()`

Method Summary
`static QtlPartition` | `adapt(MetaQtlAnalysis analysis, java.lang.String chrom, java.lang.String trait, int k)` Adapt the `MetaQtlAnalysis` `analysis` for a given value of the number of clusters `k` and a given trait name `code`.
`static QtlPartition` | `adapt(MetaQtlData qtlData)` Adapt the given `MetaQtlData` into a `QtlPartition` and returns it.
`static QtlPartition` | `adapt(MetaQtlResult result, Qtl[] qtls, int k)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QtlPartitionAdapter

    public QtlPartitionAdapter()

Method Detail

### adapt

    public static QtlPartition adapt(MetaQtlData qtlData)

  Adapt the given `MetaQtlData` into a `QtlPartition` and returns it.

  Parameters:
    `qtlData` - the `MetaQtlData` instance to adapt.
  Returns:
    a new instance of `QtlPartition`.

### adapt

    public static QtlPartition adapt(MetaQtlAnalysis analysis,
                                     java.lang.String chrom,
                                     java.lang.String trait,
                                     int k)

  Adapt the `MetaQtlAnalysis` `analysis` for a given value of the number of clusters `k` and a given trait name `code`. into a new instance of `QtlPartition`.

  Parameters:
    `result` - a meta-analysis result.
    `k` - the number of clusters.
  Returns:
    a new instance of `QtlPartition` with as many partitions as the value of `k`.

### adapt

    public static QtlPartition adapt(MetaQtlResult result,
                                     Qtl[] qtls,
                                     int k)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD